Message: "Norton Identity Safe could not be verified for use in Firefox. Proceed with caution" appears after I update the Firefox browser

The latest version of the Norton Toolbar is compatible with Mozilla Firefox version 49 and later.

You may see this message because, Mozilla is taking steps toward requiring signing and verification of all Firefox extensions. To know more, read Add-on signing in Firefox.

The latest version of the Norton Toolbar extension for Mozilla Firefox is signed and verified. To get the latest version of the Norton Toolbar, run LiveUpdate.

Run LiveUpdate

  1. Start your Norton product.

  2. In the main window, click Security, and then click LiveUpdate.

  3. When Norton LiveUpdate is finished, click OK.

  4. Run LiveUpdate until you see the message, "Your Norton product has the latest protection updates."

  5. Exit all the programs, and restart the computer.

Thank you!

Thank you for using Norton Support.

< Back

Was this information helpful?

DOCID: v113946319_EndUserProfile_en_us
Operating System: Windows
Last modified: 07/06/2017